Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Key APIs

Disabling Auto Rotation of Google Cloud Keys

search

Please Note:

Disabling Auto Rotation of Google Cloud Keys

Use the post /v1/cckm/google/keys/{id}/disable-auto-rotation API to disable auto rotation of a Google Cloud key with the given ID.

Syntax

curl -k '<IP>/api/v1/cckm/google/keys/{id}/disable-auto-rotation' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the resource ID of the Google Cloud key for which automatic key rotation is to be disabled.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/google/keys/ecc73bfb-7605-4263-abb8-84fe431d35fb/disable-auto-rotation' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' --compressed

Example Response

{
    "id": "ecc73bfb-7605-4263-abb8-84fe431d35fb",
    "uri": "kylo:kylo:cckm:gcp-key-versions:35feef15-83c5-44a8-8b84-946575ced214",
    "account": "kylo:kylo:admin:accounts:kylo",
    "createdAt": "2021-07-09T07:43:34.555549Z",
    "updatedAt": "2021-07-09T09:16:46.772591178Z",
    "cloud_name": "gcp",
    "key_id": "TestKey",
    "project_id": "cckm",
    "location_id": "global",
    "key_ring_id": "Cckm-test",
    "key_ring_name": "projects/cckm/locations/global/keyRings/demo-key-ring",
    "gone": false,
    "auto_rotate": false,
    "status": "AVAILABLE",
    "create_status": "AVAILABLE",
    "gcp_cloud_resource_name": "projects/cckm/locations/global/keyRings/demo-key-ring/cryptoKeys/TestKey",
    "gcp_params": {
        "name": "projects/cckm/locations/global/keyRings/demo-key-ring/cryptoKeys/TestKey",
        "primary": "projects/cckm/locations/global/keyRings/demo-key-ring/cryptoKeys/TestKey/cryptoKeyVersions/2",
        "createTime": "2021-07-09T07:45:16.366376Z",
        "labels": {
            "isakey": "yes"
        },
        "purpose": "ENCRYPT_DECRYPT",
        "next_rotation_time": null,
        "protectionLevel": "SOFTWARE",
        "algorithm": "GOOGLE_SYMMETRIC_ENCRYPTION"
    }
}

The automatic rotation of the specified Google Cloud key is disabled.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.